Rice.require 'Native'
Rice.require 'Rice.CapsDB'

local portname = Rice.CapsDB.get('wimportname')

if(portname) then
  local url = portname:find('[^%da-fA-F:]') and
  'http://' .. portname         or -- Not IPv6
  'http://[' .. portname .. ']'    -- IPv6
  
  Native.Dll('shell32.dll') 
  :api('ShellExecute')
  :with_ptr(Native.Memory(0)) -- hwnd
  :with_string('open')        -- lpVerb
  :with_string(url)           -- lpFile
  :with_ptr(Native.Memory(0)) -- lpParameters
  :with_ptr(Native.Memory(0)) -- lpDirectory
  :with_int(1)                -- nShowCmd (SW_SHOWNORMAL)
  :call_ptr()                 -- return HINSTANCE
end

return true
